#pragma once

namespace Wt {
class WTheme;
class WObject;
}

namespace eedb {

class Theme {
  public:
    Theme() = default;

    virtual ~Theme();

	virtual Wt::WTheme * create(Wt::WObject * parent) const = 0;
};


}
